> ## Documentation Index
> Fetch the complete documentation index at: https://docs.arc.cdata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# ファイルの作成

> 指定したパラメータで新しい files オブジェクトを作成します。



## OpenAPI

````yaml 26.3/cloud/ja/api-reference/openapi.json POST /files
openapi: 3.0.1
info:
  title: RSSBus OpenAPI
  version: 26.1.9515.0
servers:
  - url: '{baseUrl}'
    variables:
      baseUrl:
        default: https://arc.example.com/api.rsc
        description: >-
          Arc インスタンスのベース URL
          です。スキームとアプリケーションパスを含みます（例：https://arc.example.com/api.rsc）。
security: []
paths:
  /files:
    post:
      tags:
        - files
      summary: ファイルの作成
      description: 指定したパラメータで新しい files オブジェクトを作成します。
      operationId: createfiles
      requestBody:
        description: POST する files エンティティ
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/files'
        required: true
      responses:
        '201':
          description: files が作成されました
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/files'
        default:
          description: 予期しないエラー
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CDataError'
      security:
        - authtoken_header: []
        - basic: []
        - authtoken_query: []
components:
  schemas:
    files:
      type: object
      properties:
        ConnectorId:
          description: コネクタのid。
          type: string
        PortId:
          description: ポートのid。
          type: string
        Folder:
          description: ファイルのフォルダ。
          type: string
        Filename:
          description: ファイルの名前。
          type: string
        MessageId:
          description: ファイルのメッセージid。これはファイルがメッセージである場合にのみ値を持ちます。
          type: string
        Subfolder:
          description: ファイルのサブフォルダ。
          type: string
        TimeCreated:
          description: ファイルが作成された時刻。
          type: string
          format: date-time
        FilePath:
          description: ファイルへのフルパス。
          type: string
        FileSize:
          description: ファイルのサイズ。
          type: integer
          format: int32
        Content:
          description: >-
            Base64
            エンコードされたファイルコンテンツ。これは特定のファイルがリクエストされた場合にのみ返されます。このフィールドは、$filter
            パラメータを使用して結果をフィルタリングする際には使用できません。
          type: string
        BatchGroupId:
          description: バッチグループメッセージの Id。
          type: string
        IsBatchGroup:
          description: メッセージがバッチグループメッセージかどうか。
          type: boolean
      required:
        - ConnectorId
        - Folder
        - Filename
        - MessageId
    CDataError:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/CDataInError'
    CDataInError:
      type: object
      properties:
        code:
          type: string
        message:
          type: string
  securitySchemes:
    authtoken_header:
      type: apiKey
      in: header
      name: x-cdata-authtoken
    basic:
      scheme: basic
      type: http
    authtoken_query:
      type: apiKey
      in: query
      name: '@authtoken'

````